Bug 9613 - items namespace missing in XSLT
Summary: items namespace missing in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 13:21 UTC by Fridolin Somers
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (3.12 KB, patch)
2013-02-14 13:27 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 9613: items namespace missing in XSLT (3.12 KB, patch)
2013-02-15 12:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 9631 - Replace YUI buttons on classification sources administration page with Bootstrap (2.14 KB, patch)
2013-02-17 09:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9613: items namespace missing in XSLT (3.24 KB, patch)
2013-03-26 15:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[PATCH][SIGNED OFF] Bug 9613: items namespace missing in XSLT (3.31 KB, patch)
2013-04-12 14:02 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 9613: items namespace missing in XSLT (3.31 KB, patch)
2013-04-16 17:17 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2013-02-14 13:21:44 UTC
In some XSLT, "items" namespace is used in exclude-result-prefixes but is not defined.
Comment 1 Fridolin Somers 2013-02-14 13:22:50 UTC
This bug generates in log : 
[Fri Feb 08 15:35:06 2013] [error] [client 127.0.0.1] [Fri Feb  8 15:35:06 2013] opac-search.pl: compilation error: file /home/fsomers/workspace/versions/community_master/koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslimUtils.xsl line 8 element stylesheet, referer: http://opac.master.community.localhost/cgi-bin/koha/opac-detail.pl?biblionumber=299
[Fri Feb 08 15:35:06 2013] [error] [client 127.0.0.1] [Fri Feb  8 15:35:06 2013] opac-search.pl: xsl:exclude-result-prefixes : undefined namespace items, referer: http://opac.master.community.localhost/cgi-bin/koha/opac-detail.pl?biblionumber=299
Comment 2 Fridolin Somers 2013-02-14 13:27:44 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-02-15 12:20:43 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-02-17 09:02:59 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-02-17 09:03:44 UTC
Comment on attachment 15439 [details] [review]
[PASSED QA] Bug 9631 - Replace YUI buttons on classification sources administration page with Bootstrap

Sorry, typo in bugnumber.
Comment 6 Marcel de Rooy 2013-03-26 15:46:40 UTC
QA Comment:
I do not object to pushing this patch, but it seems that you could strip the lines with prefixes from Utils. This is a import file. Compare MARC21 file.

Did not test this UNIMARC trivial patch. But will add a Passed QA line.
Comment 7 Marcel de Rooy 2013-03-26 15:47:40 UTC Comment hidden (obsolete)
Comment 8 Jared Camins-Esakov 2013-04-02 12:20:15 UTC
I would like another sign off on this from someone who uses UNIMARC. Another BibLibre employee is fine. But since neither Marcel nor I can actually test this patch thanks to bug 3087, another sign off would be a good idea.
Comment 9 mathieu saby 2013-04-12 14:00:16 UTC
Without your patch, I have (among other warns about $ccode and $value...)

List of results : 

[Fri Apr 12 15:55:56 2013] [error] [client 127.0.0.1] [Fri Apr 12 15:55:56 2013] opac-search.pl: compilation error: file /home/msaby/kohamaster/src/koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslimUtils.xsl line 8 element stylesheet, referer: http://opac.koha-msaby/cgi-bin/koha/opac-search.pl?q=france
[Fri Apr 12 15:55:56 2013] [error] [client 127.0.0.1] [Fri Apr 12 15:55:56 2013] opac-search.pl: xsl:exclude-result-prefixes : undefined namespace items, referer: http://opac.koha-msaby/cgi-bin/koha/opac-search.pl?q=france

Singe record : 

[Fri Apr 12 15:57:44 2013] [error] [client 127.0.0.1] [Fri Apr 12 15:57:44 2013] opac-detail.pl: compilation error: file /home/msaby/kohamaster/src/koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslimUtils.xsl line 8 element stylesheet
[Fri Apr 12 15:57:44 2013] [error] [client 127.0.0.1] [Fri Apr 12 15:57:44 2013] opac-detail.pl: xsl:exclude-result-prefixes : undefined namespace items

After applying your patch, these warns disappear.
Nothing else seems changed.
I sign off.

M. Saby
Comment 10 mathieu saby 2013-04-12 14:02:20 UTC Comment hidden (obsolete)
Comment 11 Marcel de Rooy 2013-04-12 14:05:28 UTC
(In reply to comment #9)
> After applying your patch, these warns disappear.
> Nothing else seems changed.
> I sign off.
> 
> M. Saby

Back to Passed QA
Comment 12 Paul Poulain 2013-04-16 17:17:44 UTC
Created attachment 17492 [details] [review]
Bug 9613: items namespace missing in XSLT

In some XSLT, "items" namespace is used in exclude-result-prefixes but is not defined.

This patch add this namespace where missing.
Also corrects a koha.org, instead of koha-community.org, in one namespace URL.

Test plan :
- Enable XSLT on search results
- Perform a search
=> Look at error logs to check that there is no xsl error like :
[Fri Feb 08 15:35:06 2013] [error] [client 127.0.0.1] [Fri Feb  8 15:35:06 2013] opac-search.pl: compilation error: file koha-tmpl/opac-tmpl/prog/en/xslt/UNIMARCslimUtils.xsl line 8 element stylesheet, referer: http://opac.master.community.localhost/cgi-bin/koha/opac-detail.pl?biblionumber=299
[Fri Feb 08 15:35:06 2013] [error] [client 127.0.0.1] [Fri Feb  8 15:35:06 2013] opac-search.pl: xsl:exclude-result-prefixes : undefined namespace items, referer: http://opac.master.community.localhost/cgi-bin/koha/opac-detail.pl?biblionumber=299

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Mathieu Saby <mathieu.saby@univ-rennes2.fr>
Passed-QA-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
With comment on Bugzilla.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 13 Jared Camins-Esakov 2013-04-21 13:39:23 UTC
This patch has been pushed to master and 3.12.x.

I was unable to replicate the bug on my UNIMARC installation, but the change is logical and -- I think -- low risk, so I am pushing it anyway.
Comment 14 Chris Cormack 2013-04-27 05:40:01 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.6 and 3.8.13